Cant start local server with RubyMine

Hi,

my problem is, that if i'm starting a local server, i will get every time following error:
runnerw.exe C:\Rails\Ruby193\bin\ruby.exe -e $stdout.sync=true;$stderr.sync=true;load($0=ARGV.shift) D:/Philipp/rubyWorkspace/UniShop/script/rails server -b 127.0.0.1 -p 3000 -e development
(RuntimeError)
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/win32console-1.3.1-x86-mingw32/lib/Win32/Console.rb:210:in `Attr'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/win32console-1.3.1-x86-mingw32/lib/Win32/Console.rb:35:in `initialize'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/win32console-1.3.1-x86-mingw32/lib/Win32/Console/ANSI.rb:88:in `new'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/win32console-1.3.1-x86-mingw32/lib/Win32/Console/ANSI.rb:88:in `initialize'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/win32console-1.3.1-x86-mingw32/lib/Win32/Console/ANSI.rb:348:in `new'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/win32console-1.3.1-x86-mingw32/lib/Win32/Console/ANSI.rb:348:in `<top (required)>'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/win32console-1.3.1-x86-mingw32/lib/win32console.rb:1:in `require'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/win32console-1.3.1-x86-mingw32/lib/win32console.rb:1:in `<top (required)>'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/bundler-1.1.3/lib/bundler/runtime.rb:68:in `require'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/bundler-1.1.3/lib/bundler/runtime.rb:68:in `block (2 levels) in require'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/bundler-1.1.3/lib/bundler/runtime.rb:66:in `each'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/bundler-1.1.3/lib/bundler/runtime.rb:66:in `block in require'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/bundler-1.1.3/lib/bundler/runtime.rb:55:in `each'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/bundler-1.1.3/lib/bundler/runtime.rb:55:in `require'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/bundler-1.1.3/lib/bundler.rb:119:in `require'
    from D:/Philipp/rubyWorkspace/UniShop/config/application.rb:13:in `<top (required)>'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/commands.rb:53:in `require'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/commands.rb:53:in `block in <top (required)>'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/commands.rb:50:in `tap'
    from C:/Rails/Ruby193/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/commands.rb:50:in `<top (required)>'
    from D:/Philipp/rubyWorkspace/UniShop/script/rails:6:in `require'
    from D:/Philipp/rubyWorkspace/UniShop/script/rails:6:in `<top (required)>'
    from -e:1:in `load'
    from -e:1:in `<main>'

Process finished with exit code 1

I've searched with google, but i didnt found something, wich helped me. Buts no problem to start the server with the console.

2 comments
Comment actions Permalink

Hi,

it looks like win32console 1.3.1 doesn't work well with RM.
I've filed http://youtrack.jetbrains.com/issue/RUBY-10968 about this.
For now as workaround use win32console 1.3.0.

Let me know if this will not help.

Regards, Oleg.

0
Comment actions Permalink

Great, it works. Thank you

0

Please sign in to leave a comment.